## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iEmitSphereTangent Struct Reference

Sphere tangential value emitter - gives direction tangential to sphere Uses the given point, gives a tangential direction for that. More...

`#include <imesh/emit.h>`

Inheritance diagram for iEmitSphereTangent:

[legend]
List of all members.

## Public Member Functions

virtual void | GetContent (csVector3 &center, float &min, float &max)=0
| get content
virtual void | SetContent (const csVector3 &center, float min, float max)=0
| set content, center of sphere, min/max size

## Detailed Description

Sphere tangential value emitter - gives direction tangential to sphere Uses the given point, gives a tangential direction for that.

Main creators of instances implementing this interface:

- iEmitFactoryState::CreateSphereTangent()

Main users of this interface:

- iEmitState

Definition at line 211 of file emit.h.

## Member Function Documentation

virtual void iEmitSphereTangent::GetContent | ( | csVector3 & | center,
|  | float & | min,
|  | float & | max |
| ) |  |  | `[pure virtual]`

get content

virtual void iEmitSphereTangent::SetContent | ( | const csVector3 & | center,
|  | float | min,
|  | float | max |
| ) |  |  | `[pure virtual]`

set content, center of sphere, min/max size

The documentation for this struct was generated from the following file:

- imesh/emit.h